FSSYNC-DEBUG_STATS(8)

NAME
fssync-debug_stats - Displays various statistics

SYNOPSIS
fssync-debug stats -cmd <subcommand>
    [-arg1 <arg1>]
    [-arg2 <arg2>]
    [-reason <sync protocol reason code>]
    [-programtype <program type code>]
    [-help]

fssync-debug s -c <subcommand>
    [-arg1 <arg1>]
    [-arg2 <arg2>]
    [-r <sync protocol reason code>]
    [-p <program type code>]
    [-h]

DESCRIPTION
The fssync-debug stats command displays statistics according to the value of the option -cmd.

OPTIONS

-cmd <subcommand>
    Specifies statistics subcommand. Available subcommands are:

    •   pkg -- general volume package statistics

    •   vicep -- vice partition statistics

    •   hash -- volume hash chain statistics

    •   hdr -- volume header cache statistics

    •   vlru -- vlru generation statistics

    •   help -- display list of available subcommands

-arg1 <arg1>
    Specifies first optional argument, in the context of the chosen subcommand. For vicep statistics, it specifies partition name; for hash statistics, it specifies hash bucket number; for vlru statistics it specifies vlru generation number.

-arg2 <arg2>
    Specifies second optional argument, in the context of the chose subcommand. Currently, none of the subcommands use it.

-reason <sync protocol reason code>
    Specifies numeric sync protocol reason code. Available codes are listed in OpenAFS source file src/vol/fssync_inline.h. For SYNC_REASON_NONE, use -reason 0.

-programtype <program type code>
    Specifies program type code. Permitted values are fileServer, volumeUtility, salvager, salvageServer, volumeServer and volumeSalvager.

PRIVILEGE REQUIRED
The issuer must have write access to the file server. Usually, this means that the issuer must be the local superuser "root" on the file server machine.

SEE ALSO
fssync-debug_header(8), fssync-debug_query(8)

COPYRIGHT
Copyright 2010 Davor Ocelic <docelic@spinlocksolutions.com>

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Davor Ocelic for OpenAFS, based on documentation from Steven Jenkins, Tom Keiser and Simon Wilkinson.